<?php
class cInventarioinicial{
	
	function insertar($xac,$tipreg,$cod,$fec,$tip,$doc_id,$numdoc,$tipope_id,$des,$ope_id,$alm_id,$usu_id,$emp_id, $mod_id){
		$sql = "INSERT INTO tb_kardex(		
			`tb_kardex_reg` ,
			`tb_kardex_fec` ,
			`tb_kardex_des` ,
			`tb_modulo_id` ,
			`tb_kardex_idm` ,
			`tb_almacen_id` ,
			`tb_usuario_id` ,
			`tb_empresa_id`
		)
		VALUES (
			NOW(), '$fec', '$des', '$mod_id', '$ope_id',  '$alm_id',  '$usu_id',  '$emp_id'
		);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function ultimoInsert(){
		$sql = "SELECT last_insert_id()"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	function filtrar($nom1,$nom2,$nom3,$nom4,$limit,$almid,$mar_nom,$des,$lablet){
		$sql="SELECT *
		FROM tb_producto p		
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		inner join tb_productomarca pm on ct.tb_catalogo_id = pm.tb_catalogo_id
		INNER JOIN tb_marca m on m.tb_marca_id = pm.tb_marca_id
		LEFT JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE p.tb_producto_xac='1'  ";
		$sql.=" AND p.tb_producto_nom LIKE '%$nom1%' AND p.tb_producto_nom LIKE '%$nom2%' AND p.tb_producto_nom LIKE '%$nom3%' AND p.tb_producto_nom LIKE '%$nom4%' ";
	
	    if($lablet!='')$sql.=" AND m.tb_marca_nom like '$lablet%' "; 
	    if($des!="")$sql.=" AND p.tb_producto_des like '%$des%' ";
		if($cataid>0)$sql.=" AND ct.tb_catalogo_id = '$cataid' ";
		if($cat_id>0)$sql.=" AND p.tb_categoria_id = '$cat_id' ";
		if($mar_nom!='')$sql.=" AND m.tb_marca_nom like '%$mar_nom%' "; 
		if($limit!="")$sql.=" order by m.tb_marca_nom asc LIMIT 0,$limit ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
function mostrar_filtro_poridcat($idcat){
		$sql="SELECT p.*,c.*,m.*,pr.*,ct.*,u.*
		FROM tb_producto p 		
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		LEFT JOIN tb_unidad u ON ct.tb_unidad_id=u.tb_unidad_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE tb_producto_xac='1' 
		AND	ct.tb_catalogo_id='$idcat'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	 
	function mostrar_filtro_excel($nom,$codbar,$cat,$mar,$est,$fil,$ordby)
	{
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id = c.tb_categoria_id
		INNER JOIN tb_marca m ON p.tb_marca_id = m.tb_marca_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id_equ = u.tb_unidad_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE tb_producto_est LIKE '%$est%'  and tb_producto_xac='1' ";
		if($nom!="")$sql.=" AND tb_producto_nom LIKE '%$nom%' ";
		if($cat!="")$sql.=" AND p.tb_categoria_id IN ($cat) ";
		if($mar!="")$sql.=" AND p.tb_marca_id=$mar ";
		$sql.=" ORDER BY $ordby ";
		if($fil!="")$sql.=" LIMIT 0,$fil ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_presentacion_filtro($nom,$cat,$mar,$est){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		INNER JOIN tb_marca m ON p.tb_marca_id=m.tb_marca_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_unidad u ON r.tb_unidad_id=u.tb_unidad_id
		WHERE tb_producto_est LIKE '%$est%' ";
		if($nom!="")$sql.=" AND tb_producto_nom LIKE '%$nom%' ";
		if($cat!="")$sql.=" AND p.tb_categoria_id=$cat ";
		if($mar!="")$sql.=" AND p.tb_marca_id=$mar ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_presentacion($id){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_unidad u ON r.tb_unidad_id=u.tb_unidad_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE tb_presentacion_id=$id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_venta_detalle($ven_id){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		INNER JOIN tb_marca m ON p.tb_marca_id=m.tb_marca_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		INNER JOIN tb_ventadetalle vd ON pr.tb_presentacion_id=vd.tb_presentacion_id
		INNER JOIN tb_unidad u ON pr.tb_unidad_id=u.tb_unidad_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE vd.tb_venta_id=$ven_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		$sql="SELECT *  
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		INNER JOIN tb_marca m ON p.tb_marca_id=m.tb_marca_id
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE p.tb_producto_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar($id, $nom, $nomimp, $cat_id, $mar_id, $arttip_id, $usu_id){
		$sql = "UPDATE tb_producto SET  
			tb_producto_mod = NOW(),
			tb_producto_nom = '$nom',
			tb_producto_nomimp = '$nomimp',
			tb_categoria_id = '$cat_id',
			tb_marca_id = '$mar_id',
			tb_articulotipo_id = '$arttip_id',
			tb_usuario_id = '$usu_id' 
		WHERE  tb_producto_id = $id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function modificar_mod($id){
		$sql = "UPDATE tb_producto SET tb_producto_mod = NOW() WHERE  tb_producto_id = $id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function complete_nom($dato){
		$sql="SELECT *
		FROM tb_producto
		WHERE tb_producto_nom LIKE '%$dato%'
		GROUP BY tb_producto_nom
		LIMIT 10
		";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql) or die('false');
		return $rst;
	}
	function complete_nom2($dato,$alm){
		$sql="SELECT * 
		FROM tb_producto pro 
		INNER JOIN tb_presentacion pr on pr.tb_producto_id=pro.tb_producto_id 
		INNER JOIN tb_stock s on s.tb_presentacion_id=pr.tb_presentacion_id 
		LEFT JOIN tb_presentacion pr ON pr.tb_presentacion_id = p.tb_presentacion_id
		LEFT JOIN tb_catalogo ct ON p.tb_producto_id = ct.tb_producto_id
		 inner join tb_empaque em on em.tb_empaque_id = p.tb_empaque_id
		WHERE tb_producto_xac='1' 
		and s.tb_almacen_id=$alm
		and s.tb_stock_num>0 
		and tb_producto_nom LIKE '%$dato%' 
		GROUP BY tb_producto_nom
		";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql) or die('false');
		return $rst;
	}
	function verifica_producto_tabla($id,$tabla){
		$sql = "SELECT * 
		FROM  $tabla 
		WHERE tb_producto_id = $id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function consultar_coincidencia($pro_id,$pro_nom, $cat_id, $mar_id){
		$sql = "SELECT * 
		FROM  tb_producto
		WHERE tb_producto_nom LIKE '%$pro_nom%'
		AND tb_categoria_id = $cat_id
		AND tb_marca_id = $mar_id ";
		if($pro_id>0)$sql.=" AND tb_producto_id <> $pro_id ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar_campo($id, $campo, $val){
		$sql = "UPDATE tb_producto SET
		tb_producto_$campo =  '$val' 
		WHERE  tb_producto_id = $id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function buscar_por_nombre($nombre){
		$nombre = limpia_espacios($nombre);
		$sql = "SELECT * FROM tb_producto WHERE tb_producto_nom='$nombre'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
}
?>